%define name    lsof
%define NAME    LSOF
%define version 4.57
%define release 1mdk

Summary: Lists files open by processes
Name: %{name}
Version: %{version}
Release: %{release}
License: Free
Group: Monitoring
Source0: ftp://vic.cc.purdue.edu/pub/tools/unix/%{name}/%{name}_%{version}_W.tar.bz2
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
Lsof's name stands for LiSt Open Files, and it does just that. It lists
information about files that are open by the processes running on a UNIX
system.

%prep
%setup -q -c -n %{name}_%{version}

#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -f %{name}_%{version}.tar ] && tar xf %{name}_%{version}.tar
[ -d %{name}_%{version}.linux -a ! -d %{name}_%{version} ] && \
	mv %{name}_%{version}.linux %{name}_%{version}
[ -d %{name}_%{version} ] && cd %{name}_%{version}

%build
rm -rf $RPM_BUILD_ROOT
[ -d %{name}_%{version} ] && cd %{name}_%{version}

#LINUX_KERNEL=`pwd`/../linux %{NAME}_INCLUDE=`pwd`/../linux/include \
#%{NAME}_VERS=20036 %{NAME}_VSTR=2.0.36 LINUX_BASE=/dev/kmem

#%{NAME}_VERS=22010
#%{NAME}_VSTR="2.4.4"
LINUX_BASE=/proc
export LINUX_BASE
./Configure -n linux

%make DEBUG="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
#
# Sort out whether this is the wrapped or linux specific tar ball.
#
[ -d %{name}_%{version} ] && cd %{name}_%{version}
mkdir -p ${RPM_BUILD_ROOT}{%{_sbindir},%{_mandir}/man8}
install -s %{name} ${RPM_BUILD_ROOT}%{_sbindir}
cp lsof.8 ${RPM_BUILD_ROOT}%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{name}_%{version}/00*
%attr(0755,root,kmem) %{_sbindir}/%{name}
%{_mandir}/man8/lsof.8*

%changelog
* Sat Jul 21 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.57-1mdk
- 4.57 out for general consumption.
- s/Copyright/License/;

* Sat May 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 4.56-1mdk
- 4.56 for general consumption.
- Attempt to build without explicitly defining the kernel version.

* Sat Feb 17 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 4.55-1mdk
- 4.55 out for general consumption.

* Fri Dec 08 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 4.53-1mdk
- new and shiny source.

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.51-1mdk
- new release
- stop manually stripping binaries and compressing man pages :-(

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.49-2mdk
- Used srpm from Alexander Skwar <ASkwar@DigitalProjects.com> :
	A little bit more macros
	Only use "install" when actually needed, else use mkdir -p or cp

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 4.49-1mdk
- version 4.49

* Tue Apr 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.45-4mdk
- Updated group

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 4.45-3mdk
- updated BuildRoot

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Fri Oct  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.45.

* Sat Jul  3 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 4.44
- remove obsolete kernel 2.2 patch
- handle RPM_OPT_FLAGS
- build for kernel 2.2.10

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 4.42 (security fix)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- turn off setgid kmem "just in case".

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- buffer overflow patch.
- upgrade to 4.40.

* Wed Dec 30 1998 Jeff Johnson <jbj@redhat.com>
- update to "official" 4.39 release.

* Wed Dec 16 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39B (linux) with internal kernel src.

* Tue Dec 15 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.39A (linux)

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.37

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.36

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.35.
- rewrap for RH 5.2.

* Mon Jun 29 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [4.34-1]
- New version
- Spec rewriten to use %{name} and %{version} macros
- Removed old log enteries

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Built under RH5
- %install was changed
